/*
 * Device2D.java
 *
 * Created on Piatok, 2004, oktber 15, 13:24
 */

/**
 *
 * @author  Marek Mizanin
 */
public class Device2D
{
	public int[] cBuf;			// color Buffer
	public int sizeX, sizeY, size;	// width, height, size = sizeX*sizeY
	public int color = 0xffffff;
	
	/** Creates a new instance of Device2D */
	public Device2D(){}
	public Device2D(int sizeX_, int sizeY_)
	{
		sizeX = sizeX_;
		sizeY = sizeY_;
		size = sizeX * sizeY;
		cBuf = new int[sizeY*sizeX];
	}
	
	public void clearColorBuffer(int color)	
	{
		for(int i=0; i<size; i++)
			cBuf[i] = color;
	}
	
	public void noiseColor()
	{
		java.util.Random rnd = new java.util.Random();
		for(int i=0; i<size; i++)
		{
			cBuf[i] = (int)rnd.nextInt(); //color;
		}
	}
	public void setColor(int col)
	{
		color = col;
	}
}

